<section class="sec-yp-community">
    <div class="container">
        <div class="row mb-3">
            <div class="col-md-6">
                <h3>Visit Our Business Communities</h3>
            </div>
            <div class="col-md-6 text-right">
                <button type="button" class="btn btn-info text-info btn-view-all">View All Communities</button>
            </div>
        </div>
        <%     @images = [
      { src: 'community-1.png', alt: 'First slide' },
      { src: 'community-2.png', alt: 'Second slide' },
      { src: 'community-3.png', alt: 'Third slide' },
      { src: 'community-4.png', alt: 'Fourth image' },
    ] %>
<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    <% @images.each_slice(2).each_with_index do |_, index| %>
      <li data-target="#carouselExampleIndicators" data-slide-to="<%= index %>" class="<%= 'active' if index == 0 %>"></li>
    <% end %>
  </ol>
  <div class="carousel-inner">
    <% @images.each_slice(2).each_with_index do |image_pair, index| %>
      <div class="carousel-item <%= 'active' if index == 0 %>">
        <div class="row">
          <% image_pair.each do |image| %>
            <div class="col-6">
              <%= image_tag image[:src], class: 'd-block w-100', alt: image[:alt] %>
              <div class="carousel-caption d-none d-md-block">
                <h5><%= image[:title] %></h5>
                <p><%= image[:description] %></p>
              </div>
            </div>
          <% end %>
        </div>
      </div>
    <% end %>
  </div>
  <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>


    </div>
</section>